﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyContacts
{
	public class Contact
	{
		public string Name { get; set; }
		public string Email { get; set; }

		public Contact() { }

		public Contact(string Name, string Email)
		{
			this.Name = Name;
			this.Email = Email;
		}

		public override string ToString()
		{
			return Name + " {" + Email + "}";
		}

		public static List<Contact> GetMyContacts()
		{
			List<Contact> c = new List<Contact>();
			string[] info = Settings.Default.Contacts.Split(';');
			for (int i = 0; i < info.Length; i += 2)
				c.Add(new Contact(info[i], info[i + 1]));
			return c;
		}
	}
}
