﻿using System;
using System.Collections.Generic;
using System.Linq;  // The number of methods on any array increases from 14 to 60 on any array
using System.Text;
using MyContacts;

namespace LinqContacts01
{
	class Program
	{
		static void Main(string[] args)
		{
			Contact[] contacts = Contact.GetMyContacts().ToArray();

			foreach (Contact c in contacts.Where(a => a.Email.EndsWith("@gmail.com")).OrderBy(a => a.Name))
				Console.WriteLine(c);

			Console.WriteLine("Count: " + contacts.Where(a => !a.Email.EndsWith("@gmail.com")).Count());

			Console.ReadLine();
		}
	}
}
