﻿using System;
using System.Xml;
using System.Data.Linq;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NorthwindDataSource;

namespace XmlDocContacts
{
	class Program
	{
		static void Main(string[] args)
		{
			XmlDocument doc = new XmlDocument();
			XmlElement contacts = doc.CreateElement("customers");
			foreach (Customer c in NorthwindData.Customers)
				if (c.Country == "USA")
				{
					XmlElement contact = doc.CreateElement("customer");
					XmlElement name = doc.CreateElement("name");
					name.InnerText = c.CompanyName;
					contact.AppendChild(name);

					XmlElement phone = doc.CreateElement("phone");
					phone.InnerText = c.Phone;
					contact.AppendChild(phone);
					contacts.AppendChild(contact);
				}
			doc.AppendChild(contacts);

			Console.WriteLine(XmlTools.FormatXML(doc));
			Console.ReadLine();
		}
	}
}
