﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SqlLinq
{
	class Program
	{
		static void Main(string[] args)
		{
			NorthwindDataContext db = new NorthwindDataContext();

			var p = from c in db.Customers where c.City == "London" select new {
				c.CompanyName, Order = from o in c.Orders orderby o.OrderDate
				select new {o.OrderDate, o.OrderID}};

			ObjectDumper.Write(p, 1);
		}
	}
}
