﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SqlLinq
{
	class Program
	{
		static void Main(string[] args)
		{
			NorthwndDataContext db = new NorthwndDataContext();

			var q = from c in db.Customers where c.City == "London" select new {c.CompanyName, Orders = from o in c.Orders orderby o.OrderDate select new {o.OrderID, o.OrderDate}};

			ObjectDumper.Write(q, 1);
		}
	}
}
