﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Xml.Linq;
using System.Text;
using NorthwindDataSource;

namespace XmlLinq
{
	class Program
	{
		static void Main(string[] args)
		{
			XElement contacts = new XElement("contacts",
				from c in NorthwindData.Customers
				where c.Country == "USA"
				select new XElement("contact",
					new XElement("name", c.CompanyName),
					new XElement("phone", c.Phone)));

			Console.WriteLine(contacts);
			Console.ReadLine();
		}
	}
}
